Package org.codehaus.groovy.ast.stmt

# Class DoWhileStatement

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.stmt.Statement
org.codehaus.groovy.ast.stmt.DoWhileStatement

All Implemented Interfaces:
  `NodeMetaDataHandler`, `LoopingStatement`

public class DoWhileStatement extends Statement implements LoopingStatement
Represents a do { ... } while (condition) loop in Groovy

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoWhileStatement(BooleanExpression booleanExpression, Statement loopBlock)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BooleanExpression`
  `getBooleanExpression()`
  `Statement`
  `getLoopBlock()`
  Gets the loop block.
  `void`
  `setBooleanExpression(BooleanExpression booleanExpression)`
  `void`
  `setLoopBlock(Statement loopBlock)`
  Sets the loop block.
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

  `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### DoWhileStatement

    public DoWhileStatement(BooleanExpression booleanExpression, Statement loopBlock)

- ## Method Details

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### getBooleanExpression

    public BooleanExpression getBooleanExpression()

  - ### getLoopBlock

    public Statement getLoopBlock()
    Description copied from interface: `LoopingStatement`
    Gets the loop block.
    Specified by:
      `getLoopBlock` in interface `LoopingStatement`

  - ### setBooleanExpression

    public void setBooleanExpression(BooleanExpression booleanExpression)

  - ### setLoopBlock

    public void setLoopBlock(Statement loopBlock)
    Description copied from interface: `LoopingStatement`
    Sets the loop block.
    Specified by:
      `setLoopBlock` in interface `LoopingStatement`